io.vertx.reactivex.ext.auth.ldap

## Class LdapAuthentication

- java.lang.Object
- - io.vertx.reactivex.ext.auth.authentication.AuthenticationProvider
  - - io.vertx.reactivex.ext.auth.ldap.LdapAuthentication

- All Implemented Interfaces:
    io.vertx.lang.rx.RxDelegate

      public class LdapAuthentication
      extends AuthenticationProvider
      implements io.vertx.lang.rx.RxDelegate

  Factory interface for creating a LDAP `AuthenticationProvider`.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<LdapAuthentication>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LdapAuthentication(LdapAuthentication delegate)`
    `LdapAuthentication(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LdapAuthentication` | `create(Vertx vertx, LdapAuthenticationOptions options)` Create a LDAP authentication provider
    `boolean` | `equals(Object o)`
    `LdapAuthentication` | `getDelegate()`
    `int` | `hashCode()`
    `static LdapAuthentication` | `newInstance(LdapAuthentication arg)`
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.reactivex.ext.auth.authentication.AuthenticationProvider

      `authenticate, authenticate, authenticate, authenticate, newInstance, rxAuthenticate, rxAuthenticate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<LdapAuthentication> __TYPE_ARG

  - ### Constructor Detail

    - #### LdapAuthentication

          public LdapAuthentication(LdapAuthentication delegate)

    - #### LdapAuthentication

          public LdapAuthentication(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AuthenticationProvider`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `AuthenticationProvider`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AuthenticationProvider`

    - #### getDelegate

          public LdapAuthentication getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`
      Overrides:
        `getDelegate` in class `AuthenticationProvider`

    - #### create

          public static LdapAuthentication create(Vertx vertx,
                                                  LdapAuthenticationOptions options)

      Create a LDAP authentication provider
      Parameters:
        `vertx` - the Vert.x instance
        `options` - the ldap options
      Returns:
        the authentication provider

    - #### newInstance

          public static LdapAuthentication newInstance(LdapAuthentication arg)

Copyright © 2025 Eclipse. All rights reserved.